FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 12-21-2011, 05:54 AM
Joseph
 
Default getting rid of KDE

I have a problem getting rid of KDE (those meta package might be easy to install/upgrade but getting rid of them is not easy).

When I run emerge -uDNav world I get:

The following USE changes are necessary to proceed:
#required by kde-base/libkonq-4.7.3, required by kde-base/kdepasswd-4.7.3, required by kde-base/kdm-4.7.3-r1, required by @selected, required by @world
(argument)

=x11-libs/qt-qt3support-4.7.2 kde
#required by kde-base/nepomuk-4.7.3, required by kde-base/kdelibs-4.7.3-r1[semantic-desktop], required by kde-base/libkonq-4.7.3, required by
kde-base/kdepasswd-4.7.3, required by kde-base/kdm-4.7.3-r1, required by @selected, required by @world (argument)

=app-misc/strigi-0.7.6-r1 qt4
#required by kde-base/libkonq-4.7.3, required by kde-base/kdepasswd-4.7.3, required by kde-base/kdm-4.7.3-r1, required by @selected, required by @world
(argument)

=x11-libs/qt-webkit-4.7.2 kde

My USE flags:
USE="X gtk -qt4 -kde dvd alsa cdr cups apache2 ssl foomaticdb
ppds mysql -acl java tiff jpeg png usb udev scanner fam nptl truetype kpathsea type1 opengl tetex -arts hal dbus semantic-desktop "

It is trying to pull IN some KDE packages as well, I don't know where package is pulling them?

--
Joseph
 
Old 12-21-2011, 06:06 AM
Yohan Pereira
 
Default getting rid of KDE

On Tuesday 20 Dec 2011 23:54:38 Joseph wrote:

> #required by kde-base/libkonq-4.7.3, required by kde-base/kdepasswd-4.7.3,

> required by kde-base/kdm-4.7.3-r1, required by @selected, required by

*

It seems you still have kdm in listed in world, try replacing that with something "non-kdeish" like xdm or something

*

--

*

- Yohan Pereira

*
 
Old 12-21-2011, 06:11 AM
"Walter Dnes"
 
Default getting rid of KDE

On Tue, Dec 20, 2011 at 11:54:38PM -0700, Joseph wrote
> I have a problem getting rid of KDE (those meta package might be
> easy to install/upgrade but getting rid of them is not easy).

> When I run emerge -uDNav world I get:
>
> =x11-libs/qt-qt3support-4.7.2 kde
>
> =x11-libs/qt-webkit-4.7.2 kde
>
> My USE flags:
> USE="X gtk -qt4 -kde dvd alsa cdr cups apache2 ssl foomaticdb
> ppds mysql -acl java tiff jpeg png usb udev scanner fam
> nptl truetype kpathsea type1 opengl tetex -arts hal dbus
> semantic-desktop "
>
> It is trying to pull IN some KDE packages as well, I don't know
> where package is pulling them?

Check your /etc/portage/package.use file. Does it have kde flags
anywhere in it? If so, you'll need to get rid of them to eradicate
kde.

--
Walter Dnes <waltdnes@waltdnes.org>
 
Old 12-21-2011, 06:37 AM
Joseph
 
Default getting rid of KDE

On 12/21/11 12:36, Yohan Pereira wrote:

On Tuesday 20 Dec 2011 23:54:38 Joseph wrote:

> #required by kde-base/libkonq-4.7.3, required by
kde-base/kdepasswd-4.7.3,

> required by kde-base/kdm-4.7.3-r1, required by @selected, required by




It seems you still have kdm in listed in world, try replacing that with
something "non-kdeish" like xdm or something




--




- Yohan Pereira


I don't have "kdm" I unmerged it and replace it by slim

Here is a list of packages it is trying to load:
emerge -uDNav world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild U ] sys-apps/portage-2.1.10.41 [2.1.10.11] USE="(ipc) -build -doc -epydoc -python2 -python3 (-selinux) (-less%*)" LINGUAS="-pl" 899 kB [0]
*** Portage will stop merging at this point and reload itself,
then resume the merge.
[ebuild U ] sys-libs/glibc-2.13-r4 [2.12.2] USE="nls -debug -gd -glibc-omitfp (-hardened) (-multilib) -profile (-selinux) -vanilla" 16,081 kB [0]
[ebuild U ] sys-devel/patch-2.6.1 [2.5.9] USE="-static -test%" 248 kB [0]
[ebuild N ] sys-libs/libutempter-1.1.5 15 kB [0]
[ebuild N ] dev-util/boost-build-1.46.1 USE="-examples -python" 0 kB [0]
[ebuild N ] app-crypt/mhash-0.9.9-r1 0 kB [0]
[ebuild U ] sys-apps/ethtool-3.0 [2.6.36] 167 kB [0]
[ebuild U ] sys-fs/fuse-2.8.6 [2.8.5] USE="-static-libs%" 494 kB [0]
[ebuild U ] dev-libs/kpathsea-6.0.1_p20110705 [6.0.1_p20110627] USE="-doc -source -static-libs" 128,164 kB [0]
[ebuild U ] dev-libs/lzo-2.06 [2.04] USE="-examples -static-libs" 570 kB [0]
[ebuild U ] sys-libs/ncurses-5.9 [5.7-r7] USE="cxx gpm unicode -ada -debug -doc -minimal -profile -static-libs -trace" 2,761 kB [0]
[ebuild U ] media-libs/libpng-1.5.6 [1.5.5] USE="apng -static-libs" 688 kB [0]
[ebuild N ] media-libs/libid3tag-0.15.1b-r2 USE="-debug -static-libs" 331 kB [0]
[ebuild U ] dev-util/strace-4.6 [4.5.20-r2] USE="-aio -static" 395 kB [0]
[ebuild U ] dev-util/ccache-3.1.6 [2.4-r9] 333 kB [0]
[ebuild N ] kde-base/kde-env-4.7.3 USE="(-aqua) (-kdeenablefinal)" 0 kB [0]
[ebuild U ] net-misc/iputils-20101006-r2 [20100418-r1] USE="ipv6 ssl -SECURITY_HAZARD -doc -idn -static" 114 kB [0]
[ebuild U ] app-emulation/virtualbox-modules-4.1.4 [4.0.12] USE="-pax_kernel%" 495 kB [0]
[ebuild R ] x11-base/xorg-drivers-1.10 INPUT_DEVICES="evdev -acecad -aiptek -elographics -fpit -hyperpen -joystick -keyboard -mouse -mutouch -penmount
-synaptics -tslib -vmmouse -void -wacom (-virtualbox%)" VIDEO_CARDS="fbdev nv vesa -apm -ark -ast -chips -cirrus -dummy -epson -fglrx -geode -glint -i128
-i740 (-impact) -intel -mach64 -mga -neomagic (-newport) -nouveau -nvidia (-omapfb) -qxl -r128 -radeon -rendition -s3 -s3virge -savage -siliconmotion -sis
-sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tdfx -tga -trident -tseng -v4l -via -virtualbox -vmware (-voodoo)" 0 kB [0]

[ebuild U ] perl-core/Time-HiRes-1.972.200 [1.97.19] 86 kB [0]
[ebuild U ] perl-core/Digest-MD5-2.510.0 [2.39] 45 kB [0]
[ebuild U ] virtual/perl-Time-HiRes-1.972.200 [1.97.19] 0 kB [0]
[ebuild R ] net-misc/curl-7.21.4 USE="ipv6 ldap ssl -ares -gnutls -idn -kerberos -nss -ssh% -static-libs -test -threads (-libssh2%)" 2,204 kB [0]
[ebuild U ] virtual/perl-Digest-MD5-2.510.0-r1 [2.39] 0 kB [0]
[ebuild N ] www-misc/htdig-3.2.0_beta6-r3 USE="ssl" 3,033 kB [0]
[ebuild N ] dev-db/virtuoso-odbc-6.1.2 USE="-static-libs" 70,610 kB [0]
[ebuild U ] net-misc/tor-0.2.2.35 [0.2.2.34] USE="transparent-proxy -doc -threads -tor-hardening" 2,723 kB [0]
[ebuild U ] sys-libs/talloc-2.0.1-r2 [2.0.1-r1] USE="-compat -doc -static-libs -swig" 237 kB [0]
[ebuild U ] media-fonts/dejavu-2.33 [2.32] USE="X -fontforge" 4,767 kB [0]
[ebuild U ] media-fonts/unifont-5.1.20080914 [1.0-r4] USE="X" 8,351 kB [0]
[ebuild N ] x11-apps/xmessage-1.0.3 0 kB [0]
[ebuild U ] dev-libs/libatasmart-0.18 [0.17] USE="-static-libs" 373 kB [0]
[ebuild U ] app-admin/syslog-ng-3.2.5 [3.2.4] USE="ipv6 pcre ssl tcpd -caps -hardened (-selinux) -spoof-source -sql (-static%)" 1,415 kB [0]
[ebuild N ] x11-libs/qt-core-4.7.2-r2 USE="exceptions glib iconv jit qt3support ssl (-aqua) -debug -optimized-qmake -pch -private-headers" 208,656 kB
[0]

[ebuild N ] x11-libs/qt-script-4.7.2 USE="exceptions iconv jit (-aqua) -debug -pch -private-headers" 0 kB [0]
[ebuild N ] x11-libs/qt-sql-4.7.2 USE="exceptions iconv mysql qt3support sqlite (-aqua) -debug -firebird -freetds -odbc -pch -postgres" 0 kB [0]
[ebuild N ] x11-libs/qt-test-4.7.2 USE="exceptions iconv (-aqua) -debug -pch" 0 kB [0]
[ebuild N ] x11-libs/qt-xmlpatterns-4.7.2 USE="(-aqua) -debug -pch" 0 kB [0]
[ebuild N ] app-crypt/qca-2.0.3 USE="(-aqua) -debug -doc -examples" 4,425 kB [0]
[ebuild N ] x11-libs/qt-dbus-4.7.2 USE="exceptions (-aqua) -debug -pch" 0 kB [0]
[ebuild N ] x11-libs/qt-gui-4.7.2 USE="accessibility cups dbus exceptions glib mng qt3support tiff (-aqua) -debug -egl -gtkstyle -nas -nis -pch
-private-headers -raster -trace -xinerama" 0 kB [0]

[ebuild N ] x11-libs/qt-qt3support-4.7.2 USE="accessibility exceptions kde (-aqua) -debug -pch -phonon" 0 kB [0]
[ebuild U ] sys-apps/file-5.09 [5.07-r3] USE="zlib -python -static-libs" 594 kB [0]
[ebuild N ] x11-libs/qt-svg-4.7.2 USE="accessibility exceptions iconv (-aqua) -debug -pch" 0 kB [0]
[ebuild NS ] app-text/docbook-xml-dtd-4.2-r2 [4.1.2-r6, 4.4-r2] 77 kB [0]
[ebuild N ] dev-db/virtuoso-server-6.1.2 USE="ldap readline -kerberos" 0 kB [0]
[ebuild N ] media-libs/raptor-2.0.4 USE="curl unicode xml -debug -json -static-libs" 0 kB [0]
[ebuild N ] dev-util/automoc-0.9.88 9 kB [0]
[ebuild N ] kde-base/oxygen-icons-4.7.3 USE="(-aqua) -bindist (-kdeenablefinal)" 28,066 kB [0]
[ebuild N ] media-libs/qimageblitz-0.0.6 USE="-3dnow (-altivec) -debug -mmx -sse -sse2" 57 kB [0]
[ebuild N ] dev-libs/rasqal-0.9.27 USE="crypt mhash pcre xml -doc -gmp -static-libs -test" 0 kB [0]
[ebuild N ] dev-libs/shared-desktop-ontologies-0.7.0 98 kB [0]
[ebuild N ] dev-libs/libattica-0.2.0 USE="-debug" 40 kB [0]
[ebuild N ] dev-libs/libdbusmenu-qt-0.8.2 USE="-debug -doc -test" 36 kB [0]
[ebuild N ] media-libs/phonon-4.5.0 USE="gstreamer (-aqua) -debug -pulseaudio -vlc (-xine)" 315 kB [0]
[ebuild N ] x11-libs/qt-webkit-4.7.2 USE="dbus exceptions jit kde (-aqua) -debug -pch" 0 kB [0]
[ebuild R ] sys-devel/binutils-2.21.1-r1 USE="nls zlib%* -multislot -multitarget -static-libs -test -vanilla" 20 kB [0]
[ebuild U ] sys-process/psmisc-22.14 [22.12] USE="X ipv6 nls (-selinux)" 374 kB [0]
[ebuild N ] x11-libs/qt-opengl-4.7.2 USE="exceptions qt3support (-aqua) -debug -egl -pch" 0 kB [0]
[ebuild N ] x11-libs/qt-declarative-4.7.2-r1 USE="exceptions qt3support (-aqua) -debug -pch -private-headers -webkit" 0 kB [0]
[ebuild N ] app-admin/eselect-boost-0.3 0 kB [0]
[ebuild N ] dev-libs/boost-1.46.1-r1 USE="eselect -debug -doc -icu -mpi -python -static-libs -test -tools" 0 kB [0]
[ebuild U ] media-libs/libexif-0.6.20 [0.6.19] USE="nls -doc -static-libs" 1,380 kB [0]
[ebuild N ] media-libs/gstreamer-0.10.35 USE="introspection nls -test" 0 kB [0]
[ebuild N ] media-libs/gst-plugins-base-0.10.35 USE="introspection nls orc" 0 kB [0]
[ebuild N ] media-libs/gst-plugins-good-0.10.30 USE="orc -debug" 0 kB [0]
[ebuild N ] app-misc/strigi-0.7.6-r1 USE="dbus exif fam qt4 -clucene -debug -ffmpeg -hyperestraier -inotify (-log) -test" 681 kB [0]
[ebuild N ] dev-libs/redland-1.0.14 USE="berkdb mysql ssl xml -iodbc -odbc -postgres -sqlite -static-libs" 0 kB [0]
[ebuild N ] media-plugins/gst-plugins-x-0.10.35 0 kB [0]
[ebuild N ] media-plugins/gst-plugins-faad-0.10.22 0 kB [0]
[ebuild N ] media-libs/gst-plugins-ugly-0.10.18 USE="-debug" 0 kB [0]
[ebuild N ] media-plugins/gst-plugins-xvideo-0.10.35 0 kB [0]
[ebuild N ] media-plugins/gst-plugins-mpeg2dec-0.10.18 0 kB [0]
[ebuild N ] media-plugins/gst-plugins-dvdread-0.10.18 0 kB [0]
[ebuild N ] media-plugins/gst-plugins-ogg-0.10.35 0 kB [0]
[ebuild N ] media-plugins/gst-plugins-alsa-0.10.35 0 kB [0]
[ebuild N ] media-plugins/gst-plugins-dts-0.10.22 USE="orc" 0 kB [0]
[ebuild N ] media-plugins/gst-plugins-a52dec-0.10.18 USE="orc" 0 kB [0]
[ebuild N ] media-plugins/gst-plugins-vorbis-0.10.35 0 kB [0]
[ebuild N ] media-plugins/gst-plugins-mad-0.10.18 0 kB [0]
[ebuild N ] media-plugins/gst-plugins-flac-0.10.30 0 kB [0]
[ebuild N ] media-plugins/gst-plugins-resindvd-0.10.22 0 kB [0]
[ebuild N ] media-plugins/gst-plugins-meta-0.10-r6 USE="X a52 aac alsa dts dvd flac mp3 mpeg ogg vorbis xv -dv -dvb -esd -ffmpeg -lame -mms -musepack
-mythtv -oss -pulseaudio -taglib -theora -v4l -vcd -vpx -wavpack" 0 kB [0]

[ebuild N ] media-libs/phonon-gstreamer-4.5.0 USE="alsa -debug" 88 kB [0]
[ebuild U ] app-admin/eselect-fontconfig-1.1 [1.0] 2 kB [0]
[ebuild U ] media-video/ffmpeg-0.7.8 [0.7.7] USE="3dnow 3dnowext X aac alsa bzip2 encode hardcoded-tables mmx mmxext mp3 qt-faststart* sdl ssse3 truetype
vorbis x264 xvid zlib (-altivec) -amr -avx -bindist (-celt) -cpudetection -custom-cflags -debug -dirac -doc -faac -frei0r -gsm -ieee1394 -jack -jpeg2k
-network -oss -pic -rtmp -schroedinger -speex -static-libs -test -theora -threads -v4l -vaapi -vdpau -vpx" VIDEO_CARDS="-nvidia" 4,425 kB [0]

[ebuild U ] media-gfx/exif-0.6.20 [0.6.19] USE="nls" 443 kB [0]
[ebuild U ] app-portage/eix-0.23.3-r1 [0.22.11] USE="nls -debug -doc -optimization -security% -sqlite -strong-optimization -tools -zsh-completion
(-bzip2%*) (-hardened%)" 433 kB [0]

[ebuild U ] app-emulation/virtualbox-bin-4.1.4 [4.0.12] USE="additions chm -headless -python -rdesktop-vrdp -sdk -vboxwebsrv" 80,653 kB [0]
[ebuild U ] app-portage/gentoolkit-0.3.0.4-r5 [0.3.0.4-r4] 0 kB [0]
[ebuild U ] sys-apps/iproute2-2.6.38 [2.6.35-r2] USE="berkdb -atm -minimal (-ipv6%*)" 382 kB [0]
[ebuild U ] dev-python/pycairo-1.10.0-r2 [1.8.10] USE="svg -doc -examples -test" 634 kB [0]
[ebuild N ] kde-base/kdebase-pam-7 0 kB [0]
[ebuild U ] dev-libs/cyrus-sasl-2.1.23-r6 [2.1.23-r4] USE="berkdb crypt gdbm java mysql pam ssl -authdaemond -kerberos -ntlm_unsupported_patch -openldap
-postgres -sample -srp -urandom" 0 kB [0]

[ebuild R ] app-crypt/pinentry-0.8.0 USE="gtk ncurses -caps -qt4 -static (-qt3%)" 0 kB [?=>0]
[ebuild N ] dev-db/libiodbc-3.52.7 USE="gtk" 1,015 kB [0]
[ebuild U ] net-analyzer/mtr-0.81 [0.80] USE="gtk ipv6 -suid" 265 kB [0]
[ebuild N ] dev-libs/soprano-2.7.0 USE="dbus raptor redland virtuoso -clucene -debug -doc -test" 0 kB [0]
[ebuild N ] sys-auth/polkit-qt-0.99.0 USE="-debug -examples" 66 kB [0]
[ebuild U ] x11-libs/libfm-0.1.17 [0.1.16] USE="udev -debug -examples" 855 kB [0]
[ebuild U ] sys-apps/openrc-0.9.4 [0.8.3-r1] USE="ncurses pam unicode -debug (-selinux)" 160 kB [0]
[ebuild U ] x11-misc/pcmanfm-0.9.10 [0.9.9] USE="-debug" 553 kB [0]
[ebuild U ] net-libs/libpcap-1.1.1-r1 [1.1.1] USE="bluetooth ipv6 -libnl -static-libs%" 569 kB [0]
[ebuild N ] kde-base/kdelibs-4.7.3-r1 USE="alsa bzip2 fam handbook nls opengl policykit semantic-desktop spell ssl udev udisks upower -3dnow -acl
(-altivec) (-aqua) -bindist -debug -doc -jpeg2k (-kdeenablefinal) -kerberos -lzma -mmx -openexr -sse -sse2 -test -zeroconf" 11,789 kB [0]

[ebuild N ] kde-base/katepart-4.7.3 USE="handbook (-aqua) -debug (-kdeenablefinal)" 1,991 kB [0]
[ebuild N ] sys-auth/polkit-kde-agent-0.99.0 USE="(-aqua) -debug (-kdeenablefinal)" LINGUAS="-ca -ca@valencia -cs -da -de -en_GB -eo -es -et -fi -fr -ga
-gl -hr -hu -is -it -ja -km -lt -mai -ms -nb -nds -nl -pa -pt -pt_BR -ro -ru -sk -sr -sr@ijekavian -sr@ijekavianlatin -sr@latin -sv -th -tr -uk -zh_TW" 34 kB
[0]

[ebuild N ] kde-base/nepomuk-4.7.3 USE="handbook (-aqua) -debug (-kdeenablefinal)" 5,886 kB [0]
[ebuild N ] kde-misc/polkit-kde-kcmodules-0.98_pre20101127 USE="(-aqua) -debug (-kdeenablefinal)" 26 kB [0]
[ebuild N ] kde-base/kdesu-4.7.3 USE="handbook (-aqua) -debug (-kdeenablefinal)" 0 kB [0]
[ebuild N ] kde-base/khelpcenter-4.7.3 USE="(-aqua) -debug (-kdeenablefinal)" 0 kB [0]
[ebuild N ] kde-base/libkworkspace-4.7.3-r1 USE="(-aqua) -debug (-kdeenablefinal)" 20,075 kB [0]
[ebuild N ] kde-base/kcheckpass-4.7.3 USE="pam (-aqua) -debug (-kdeenablefinal)" 0 kB [0]
[ebuild N ] kde-base/libkonq-4.7.3 USE="(-aqua) -debug (-kdeenablefinal) -test" 2,623 kB [0]
[ebuild N ] kde-base/kdepasswd-4.7.3 USE="handbook (-aqua) -debug (-kdeenablefinal)" 0 kB [0]
[ebuild N ] kde-base/kdm-4.7.3-r1 USE="consolekit handbook pam (-aqua) -debug (-kdeenablefinal) -kerberos" 0 kB [0]
[ebuild U ] mail-client/thunderbird-8.0-r1 [7.0.1-r1] USE="alsa crashreporter crypt dbus ipc libnotify lightning startup-notification webm%* -bindist
-custom-cflags -custom-optimization -debug -gconf -mozdom -system-sqlite -wifi" LINGUAS="en en_US -ar -be% -bg% -bn% -bn_BD% -br% -ca -cs -da -de -el% -en_GB
-es -es_AR -es_ES -et -eu -fi -fr -fy -fy_NL -ga -ga_IE -gd% -gl% -he -hu -id% -is -it -ja -ko -lt -nb -nb_NO -nl -nn -nn_NO -pa% -pa_IN% -pl -pt -pt_BR
-pt_PT -rm% -ro% -ru -si -sk -sl -sq -sv -sv_SE -ta% -ta_LK% -tr -uk -vi% -zh% -zh_CN% -zh_TW" 88,684 kB [0]
[ebuild U ] www-client/firefox-8.0 [7.0.1-r1] USE="alsa crashreporter dbus ipc libnotify startup-notification webm -bindist -custom-cflags
-custom-optimization -debug -pgo -system-sqlite -wifi" LINGUAS="en en_US -af -ak -ar -ast -be -bg -bn -bn_BD -bn_IN -br -bs -ca -cs -cy -da -de -el -en_GB
-en_ZA -eo -es -es_AR -es_CL -es_ES -es_MX -et -eu -fa -fi -fr -fy -fy_NL -ga -ga_IE -gd -gl -gu -gu_IN -he -hi -hi_IN -hr -hu -hy -hy_AM -id -is -it -ja -kk
-kn -ko -ku -lg -lt -lv -mai -mk -ml -mr -nb -nb_NO -nl -nn -nn_NO -nso -or -pa -pa_IN -pl -pt -pt_BR -pt_PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv -sv_SE
-ta -ta_LK -te -th -tr -uk -vi -zh -zh_CN -zh_TW -zu" 68,728 kB [0]


Total: 117 packages (42 upgrades, 70 new, 1 in new slot, 4 reinstalls), Size of downloads: 780,772 kB
Portage tree and overlays:
[0] /usr/portage
[?] indicates that the source repository could not be determined

The following USE changes are necessary to proceed:
#required by kde-base/libkonq-4.7.3, required by kde-base/kdepasswd-4.7.3, required by kde-base/kdm-4.7.3-r1, required by @selected, required by @world
(argument)

=x11-libs/qt-qt3support-4.7.2 kde
#required by kde-base/nepomuk-4.7.3, required by kde-base/kdelibs-4.7.3-r1[semantic-desktop], required by kde-base/libkonq-4.7.3, required by
kde-base/kdepasswd-4.7.3, required by kde-base/kdm-4.7.3-r1, required by @selected, required by @world (argument)

=app-misc/strigi-0.7.6-r1 qt4
#required by kde-base/libkonq-4.7.3, required by kde-base/kdepasswd-4.7.3, required by kde-base/kdm-4.7.3-r1, required by @selected, required by @world
(argument)

=x11-libs/qt-webkit-4.7.2 kde



--
Joseph
 
Old 12-21-2011, 06:38 AM
Joseph
 
Default getting rid of KDE

On 12/21/11 02:11, Walter Dnes wrote:

On Tue, Dec 20, 2011 at 11:54:38PM -0700, Joseph wrote

I have a problem getting rid of KDE (those meta package might be
easy to install/upgrade but getting rid of them is not easy).



When I run emerge -uDNav world I get:

=x11-libs/qt-qt3support-4.7.2 kde

=x11-libs/qt-webkit-4.7.2 kde

My USE flags:
USE="X gtk -qt4 -kde dvd alsa cdr cups apache2 ssl foomaticdb
ppds mysql -acl java tiff jpeg png usb udev scanner fam
nptl truetype kpathsea type1 opengl tetex -arts hal dbus
semantic-desktop "

It is trying to pull IN some KDE packages as well, I don't know
where package is pulling them?


Check your /etc/portage/package.use file. Does it have kde flags
anywhere in it? If so, you'll need to get rid of them to eradicate
kde.

--
Walter Dnes <waltdnes@waltdnes.org>


Yes, I got rid of every kde in package.use


--
Joseph
 
Old 12-21-2011, 06:47 AM
Joseph
 
Default getting rid of KDE

On 12/21/11 02:11, Walter Dnes wrote:

On Tue, Dec 20, 2011 at 11:54:38PM -0700, Joseph wrote

I have a problem getting rid of KDE (those meta package might be
easy to install/upgrade but getting rid of them is not easy).



When I run emerge -uDNav world I get:

=x11-libs/qt-qt3support-4.7.2 kde

=x11-libs/qt-webkit-4.7.2 kde

My USE flags:
USE="X gtk -qt4 -kde dvd alsa cdr cups apache2 ssl foomaticdb
ppds mysql -acl java tiff jpeg png usb udev scanner fam
nptl truetype kpathsea type1 opengl tetex -arts hal dbus
semantic-desktop "

It is trying to pull IN some KDE packages as well, I don't know
where package is pulling them?


Check your /etc/portage/package.use file. Does it have kde flags
anywhere in it? If so, you'll need to get rid of them to eradicate
kde.

--
Walter Dnes <waltdnes@waltdnes.org>


"equery d" does not show any package depending on kde, qt3 or qt4

That KDE is is lika a cockroach, it is hard to get rid of it :-/

--
Joseph
 
Old 12-21-2011, 06:49 AM
Sebastian Beßler
 
Default getting rid of KDE

On 21.12.2011 08:37, Joseph wrote:

> Here is a list of packages it is trying to load:
> emerge -uDNav world

Try emerge -uDNavt world and see what tries to pull in KDE.
Most likely it is something that relates to KDE like amarok or digikam.

Greetings

Sebastian
 
Old 12-21-2011, 07:23 AM
Neil Bothwick
 
Default getting rid of KDE

On Wed, 21 Dec 2011 00:37:35 -0700, Joseph wrote:

> > It seems you still have kdm in listed in world, try replacing that
> > with something "non-kdeish" like xdm or something

> I don't have "kdm" I unmerged it and replace it by slim
>
> The following USE changes are necessary to proceed:
> #required by kde-base/libkonq-4.7.3, required by
> kde-base/kdepasswd-4.7.3, required by kde-base/kdm-4.7.3-r1, required
> by @selected, required by @world (argument)

This clearly states that @world requires kdm. What does
"grep kde /var/lib/portage/world" show?


--
Neil Bothwick

Code: (n.) a means of concealing bugs favored by programmers.
(v.) the process of concealing bugs by programming.
 
Old 12-21-2011, 07:28 AM
Dale
 
Default getting rid of KDE

Joseph wrote:

On 12/21/11 02:11, Walter Dnes wrote:

On Tue, Dec 20, 2011 at 11:54:38PM -0700, Joseph wrote

I have a problem getting rid of KDE (those meta package might be
easy to install/upgrade but getting rid of them is not easy).



When I run emerge -uDNav world I get:

=x11-libs/qt-qt3support-4.7.2 kde

=x11-libs/qt-webkit-4.7.2 kde

My USE flags:
USE="X gtk -qt4 -kde dvd alsa cdr cups apache2 ssl foomaticdb
ppds mysql -acl java tiff jpeg png usb udev scanner fam
nptl truetype kpathsea type1 opengl tetex -arts hal dbus
semantic-desktop "

It is trying to pull IN some KDE packages as well, I don't know
where package is pulling them?


Check your /etc/portage/package.use file. Does it have kde flags
anywhere in it? If so, you'll need to get rid of them to eradicate
kde.

--
Walter Dnes <waltdnes@waltdnes.org>


"equery d" does not show any package depending on kde, qt3 or qt4

That KDE is is lika a cockroach, it is hard to get rid of it :-/



If I understand what you are doing correctly, you may need to do a
emerge -N world first. Let emerge rebuild things that where built with
kde USE flag but not needed anymore then go back and use the -t option
to see what is left.


I think I see what you are doing but not 100% sure.

Dale

:-) :-)

--
I am only responsible for what I said ... Not for what you understood or how you interpreted my words!

Miss the compile output? Hint:
EMERGE_DEFAULT_OPTS="--quiet-build=n"
 
Old 12-21-2011, 08:27 AM
Paul Colquhoun
 
Default getting rid of KDE

On 18:47:32 21/12/2011, Joseph wrote:

On 12/21/11 02:11, Walter Dnes wrote:

On Tue, Dec 20, 2011 at 11:54:38PM -0700, Joseph wrote

I have a problem getting rid of KDE (those meta package might be
easy to install/upgrade but getting rid of them is not easy).



When I run emerge -uDNav world I get:

=x11-libs/qt-qt3support-4.7.2 kde

=x11-libs/qt-webkit-4.7.2 kde

My USE flags:
USE="X gtk -qt4 -kde dvd alsa cdr cups apache2 ssl foomaticdb
ppds mysql -acl java tiff jpeg png usb udev scanner fam
nptl truetype kpathsea type1 opengl tetex -arts hal dbus
semantic-desktop "

It is trying to pull IN some KDE packages as well, I don't know
where package is pulling them?


Check your /etc/portage/package.use file. Does it have kde flags
anywhere in it? If so, you'll need to get rid of them to eradicate
kde.

--
Walter Dnes <waltdnes@waltdnes.org>


"equery d" does not show any package depending on kde, qt3 or qt4

That KDE is is lika a cockroach, it is hard to get rid of it :-/



Have you checked your profile?

Run "eselect profile list" and make sure you don't have the
"desktop/kde"
profile slected. Although I would have thought that the profile would
try

to pull in a lot more of KDE than you have shown.


--
Paul Colquhoun
 

Thread Tools




All times are GMT. The time now is 09:30 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org